View Issue Details

IDProjectCategoryView StatusLast Update
0002208Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.779 
Target VersionFixed in Version6.4.0.787 
Summary0002208: Program Options dialog has poor layout
DescriptionThe Program Options dialog has poor layout; clips controls on all pages.

Steps To Reproduce1) Start up Digital Master
2) Use the "Program Options" command in the "Tools" menu
3) Select the "PTT" entry in the left-hand navigation pane
BUG#1) "Getting started" pushbutton is clipped; property page is cliped, including the "Note" rich text control
TagsNo tags attached.
ModuleDM780
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

Activities

K7ZCZ

2017-08-15 10:12

manager  

Clipped.png (30,728 bytes)
Clipped.png (30,728 bytes)

K7ZCZ

2017-08-19 17:40

manager   ~0004061

There were two problems. The first was that the dynamic sizing of the property sheet didn't take into account the vertical size of the caption on the window.

The other was that the PTT page was incorrectly sized compared to the other pages. I've fixed both issues with this change set:

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3786

g3ucq

2017-09-12 03:16

viewer   ~0004168

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004214

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-08-15 10:12 K7ZCZ New Issue
2017-08-15 10:12 K7ZCZ File Added: Clipped.png
2017-08-16 07:57 K7ZCZ Description Updated View Revisions
2017-08-16 07:57 K7ZCZ Steps to Reproduce Updated View Revisions
2017-08-16 07:57 K7ZCZ Module (select) => DM780
2017-08-16 07:57 K7ZCZ Sub-Module (select) => Appearance/UI
2017-08-16 07:57 K7ZCZ Testing Alpha Failed => Not Started
2017-08-19 17:40 K7ZCZ Assigned To => K7ZCZ
2017-08-19 17:40 K7ZCZ Status new => resolved
2017-08-19 17:40 K7ZCZ Resolution open => fixed
2017-08-19 17:40 K7ZCZ Testing Not Started => Not Started
2017-08-19 17:40 K7ZCZ Note Added: 0004061
2017-09-01 16:41 K7ZCZ Fixed in Version => 6.4.0.782
2017-09-07 18:18 K7ZCZ Fixed in Version 6.4.0.782 => 6.4.0.784
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-12 03:16 g3ucq Note Added: 0004168
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004214
2017-09-18 00:08 WA9PIE Status resolved => closed